> ## Documentation Index
> Fetch the complete documentation index at: https://docs.didit.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Travel Rule 이메일 채널 픽업 포털 답장 API - Didit

> 픽업 링크에서 이메일 채널 Travel Rule 송금의 상대방 VASP에 답장을 보냅니다. 첨부 파일은 선택 사항입니다. Didit 제공.

Pickup Portal API 프롬프트에 답변
프롬프트를 클립보드에 복사

<pre>
  \`Write back to the customer VASP of an EMAIL-rail Travel Rule transfer from the pickup link.

  Endpoint:
  POST [https://verification.didit.me/v3/travel-rule/pickup/\{token}/messages/](https://verification.didit.me/v3/travel-rule/pickup/\{token}/messages/)

  Authentication:
  None - the one-time pickup link token is the credential.

  Request body (JSON, or multipart/form-data with files): the same fields as the transaction's messages endpoint (kind, body, requested\_documents, reply\_to, files). Attachments must be PDF, PNG, JPEG or WebP.

  Failure modes:

  * 400 - invalid body, a file type that is not accepted, 100 messages reached, or reply\_to is not a message of this transfer.
  * 404 - unknown token.
  * 410 - the pickup link expired or the transfer is closed.

  Full guide: /transaction-monitoring/travel-rule#messages-and-document-requests.\`
</pre>

붙여넣을 곳


## OpenAPI

````yaml ko/openapi-25.json POST /v3/travel-rule/pickup/{token}/messages/
openapi: 3.0.0
info:
  version: 3.0.0
  title: Didit Verification API
  description: 신분증 인증 API입니다. x-api-key 헤더로 인증합니다.
servers:
  - url: https://verification.didit.me
security: []
tags: []
paths:
  /v3/travel-rule/pickup/{token}/messages/:
    post:
      tags:
        - Travel Rule
      summary: 픽업 포털에서 회신
      description: >-
        공개, 비인증. 거래 상대방 VASP가 EMAIL-rail 전송 건에 대해 회신합니다. 거래의 메시지와 동일한 본문이며, 첨부
        파일은 PDF, PNG, JPEG 또는 WebP 형식이어야 합니다. token이 인증 역할을 합니다.
      operationId: createTravelRulePickupMessage
      parameters:
        - name: token
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TravelRuleMessageCreateRequest'
            example:
              kind: MESSAGE
              body: Attached is the proof of address of the wallet holder.
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/TravelRuleMessageCreateRequest'
      responses:
        '201':
          description: 저장된 메시지입니다.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TravelRuleMessage'
        '400':
          description: >-
            유효하지 않은 본문, 허용되지 않는 파일 형식 또는 크기, 전송 건당 100개를 초과하는 메시지, 또는 해당 전송의
            메시지가 아닌 `reply_to`입니다.
          content:
            application/json:
              schema:
                type: object
              example:
                requested_documents:
                  - Name at least one document the counterparty should send.
        '404':
          description: 알 수 없는 token입니다.
        '410':
          description: 수령 링크가 만료되었거나 전송이 종료되었습니다.
      security:
        - {}
      x-codeSamples:
        - lang: curl
          label: curl
          source: >-
            curl -X POST
            https://verification.didit.me/v3/travel-rule/pickup/{token}/messages/
            \
              -H 'Content-Type: application/json' \
              -d '{"kind": "MESSAGE", "body": "Attached is the proof of address of the wallet holder."}'
components:
  schemas:
    TravelRuleMessageCreateRequest:
      type: object
      description: JSON으로 전송하거나 첨부 파일이 `files`에 포함된 multipart/form-data로 전송하십시오.
      properties:
        kind:
          type: string
          enum:
            - MESSAGE
            - DOCUMENT_REQUEST
          default: MESSAGE
        body:
          type: string
          maxLength: 5000
          description: 파일이 첨부되지 않은 경우 MESSAGE에 필수입니다.
        requested_documents:
          type: array
          items:
            type: string
            maxLength: 255
          maxItems: 10
          description: DOCUMENT_REQUEST에 필수(최소 1개)이며, 해당 경우에만 허용됩니다.
        reply_to:
          type: string
          format: uuid
          nullable: true
          description: 동일한 이체의 메시지입니다. 문서가 포함된 회신은 응답 대상 문서 요청을 충족합니다.
        files:
          type: array
          items:
            type: string
            format: binary
          maxItems: 5
          description: Multipart 전용입니다. 각 10MB 이하의 파일 최대 5개까지 가능합니다.
    TravelRuleMessage:
      type: object
      properties:
        id:
          type: string
          format: uuid
        kind:
          type: string
          enum:
            - MESSAGE
            - DOCUMENT_REQUEST
        direction:
          type: string
          enum:
            - INBOUND
            - OUTBOUND
          description: '`OUTBOUND`는 조회자의 측에서 전송한 내역입니다. 픽업 포털에서 방향은 거래 상대방 측 기준입니다.'
        author:
          type: string
          description: 자체 측에서 누가 작성했는지 나타냅니다. 콘솔 사용자의 이메일, API 키 레이블, 또는 상대방 VASP의 이름입니다.
        body:
          type: string
        requested_documents:
          type: array
          items:
            type: string
          description: 요청자의 표현으로 DOCUMENT_REQUEST가 요청하는 내용입니다.
        reply_to:
          type: string
          format: uuid
          nullable: true
        fulfilled_at:
          type: string
          format: date-time
          nullable: true
          description: 답장에 문서가 포함되면 DOCUMENT_REQUEST에 설정됩니다.
        attachment:
          $ref: '#/components/schemas/TravelRuleMessageAttachment'
        created_at:
          type: string
          format: date-time
    TravelRuleMessageAttachment:
      type: object
      nullable: true
      description: 메시지에 첨부된 문서이며, 다른 거래 문서와 동일하게 저장됩니다.
      properties:
        uuid:
          type: string
          format: uuid
        label:
          type: string
          nullable: true
        note:
          type: string
          nullable: true
        uploaded_by:
          type: string
          nullable: true
          description: >-
            첨부한 주체입니다. 픽업 포털에서 귀하가 보낸 파일에는 VASP 이름이 표시되며, 그 파일을 전송한 사람이나 API 키는
            절대 표시되지 않습니다.
        created_at:
          type: string
          format: date-time
        files:
          type: array
          items:
            type: object
            properties:
              uuid:
                type: string
                format: uuid
              file_url:
                type: string
                nullable: true
                description: 시간 제한 다운로드 URL입니다.
              original_filename:
                type: string
              file_size:
                type: integer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.